@echo ------------------------------------------
@echo 	Setup up working folder and repository
@echo ------------------------------------------
mkdir C:\WorkingDir

@echo ------------------------------------------
@echo   Setting up import structure and importing
@echo ------------------------------------------
svnadmin create C:\WorkingDir\test
mkdir C:\WorkingDir\import
mkdir C:\WorkingDir\import\trunk
mkdir C:\WorkingDir\import\trunk\a
svn import C:\WorkingDir\import file:///C:/WorkingDir/test -m "Initial Import"

@echo ------------------------------------------
@echo   Creating a branch
@echo ------------------------------------------
svn copy file:///C:/WorkingDir/test/trunk file:///C:/WorkingDir/test/branch -m "Copy"

@echo ------------------------------------------
@echo   Checking out the branch
@echo ------------------------------------------
mkdir C:\WorkingDir\source
svn co file:///C:/WorkingDir/test/branch C:\WorkingDir\source

@echo ------------------------------------------
@echo   Adding a folder to branch
@echo ------------------------------------------
mkdir C:\WorkingDir\source\b
svn add C:\WorkingDir\source\b
svn commit C:\WorkingDir\source -m "Adding b"

@echo ------------------------------------------
@echo   Creating a folder under branch\b but NOT adding it
@echo ------------------------------------------
mkdir C:\WorkingDir\source\b\notinrepo

@echo ------------------------------------------
@echo   Switching to trunk ... which should fail because "notinbranch" has not been added to repo
@echo ------------------------------------------
svn switch file:///C:/WorkingDir/test/trunk C:\WorkingDir\source

@echo ------------------------------------------
@echo   How do I recover?
@echo ------------------------------------------
svn update C:\WorkingDir\source
svn switch file:///C:/WorkingDir/test/branch C:\WorkingDir\source